Reference Manual

Main Page | Namespace List | Class Hierarchy | Alphabetical List | Compound List | File List | Namespace Members | Compound Members | File Members

# Inti::Atk::Value Class Reference

An AtkValue C++ wrapper class. More...

`#include <inti/atk/value.h>`

Inheritance diagram for Inti::Atk::Value:

List of all members.

## Public Member Functions

Accessors

- AtkValue * atk_value () const
    Get a pointer to the AtkValue structure.
- AtkValueIface * atk_value_iface () const
    Get a pointer to the AtkValueIface structure.
- operator AtkValue * () const
    Conversion operator; safely converts a Value to an AtkValue pointer.
- void get_current_value (G::Value &value) const
    Gets the value of this object.
- void get_maximum_value (G::Value &value) const
    Gets the maximum value for this object.
- void get_minimum_value (G::Value &value) const
    Gets the minimum value for this object.

Methods

- bool set_current_value (const G::Value &value)
    Sets the value of this object.

## Detailed Description

An AtkValue C++ wrapper class.

Value should be implemented for components which either display a value from a bounded range, or which allow the user to specify a value from a bounded range, or both. For instance, most sliders and range controls, as well as dials, should have Atk::Object representations which implement Value on the component's behalf. Values may be read-only, in which case attempts to alter the value return false to indicate failure.

## Member Function Documentation

void Inti::Atk::Value::get_current_value | ( | G::Value & | value | ) | const

  | Gets the value of this object. Parameters:
  value | A G::Value representing the current accessible value.

void Inti::Atk::Value::get_maximum_value | ( | G::Value & | value | ) | const

  | Gets the maximum value for this object. Parameters:
  value | A G::Value representing the maximum accessible value.

void Inti::Atk::Value::get_minimum_value | ( | G::Value & | value | ) | const

  | Gets the minimum value for this object. Parameters:
  value | A G::Value representing the minimum accessible value.

bool Inti::Atk::Value::set_current_value | ( | const G::Value & | value | ) |

  | Sets the value of this object. Parameters:
  value | A G::Value which is the desired new accessible value.
Returns: true if the new value is successfully set, false otherwise.

The documentation for this class was generated from the following file:

- atk/value.h

Main Page - Footer